<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('orders', function (Blueprint $table) {
            $table->timestamp('in_hand_delivery_at')->nullable()->after('processing_at');
            $table->timestamp('review_at')->nullable()->after('in_hand_delivery_at');
        });
    }

    public function down(): void
    {
        Schema::table('orders', function (Blueprint $table) {
            $table->dropColumn(['in_hand_delivery_at', 'review_at']);
        });
    }
};
